<?php

declare(strict_types=1);

namespace App\Services\Utils;

use Brick\DateTime\Duration;

/**
 * Results of DurationConvertor::convertIntoWorkDuration
 */
final readonly class DurationConvertorResult
{
    public function __construct(
        public bool $overlaps,
        public Duration $duration,
    ) {
    }
}
